Update Delivery Info by Id

Updates the order delivery tracking details by identifying it using the order.id field.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚚 Tracking Delivery Update Payload (PUT)
This payload is used to update the tracking and delivery details of an order.

📘

Automatic status transition

This method also updates the order status to 7 (InDelivery).

{
  "carrierName": "Carrier",
  "trackingLink": "https://www.domain.com/tracking/",
  "trackingCode": "R4STR3I0",
  "deliveryDate": "24/03/2025"
}


FieldDescriptionType
carrierNameName of the shipping carrier or logistics provider.string
trackingLinkURL for tracking the delivery. May be a direct link to the carrier's tracking system.string
trackingCodeTracking number provided by the logistics company.string
deliveryDateForecasted or actual delivery date. Format: dd/MM/yyyy.string (dd/MM/yyyy)
Path Params
string
enum
required

Tipo do ambiente (api para produção e dev-api para homologação)

Allowed:
string
required

Id (guid) de pedido

Body Params
string

Código de rastreio

string
string

Nome da operadora de serviço de frete

string

Data de entrega. Exemplo "2020-05-22"

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json